Skip to content

达人榜单-带货达人榜

简介

获取达人带货榜

  • 支持设置过滤参数
  • 支持设置结果排序方式

接口

bash
    POST /creator/v1/rank/topEcommerce

request body

字段类型必选描述
filterobject过滤参数
orderbyobject排序参数
pageinteger页码,默认值:1
pagesizeinteger每页条数,默认值:10

filter可选值

字段类型必选描述
regionstring国家/地区
creator_category_idinteger达人分类
product_category_idinteger商品分类
account_typeinteger达人类型 1:personal 2:shop
ecommerce_typeinteger1:视频带货 2:直播带货
date_infoobject日期信息

region 范围: ['US','GB','MX','ES','DE','IT','FR','ID','VN','MY','TH','PH','BR','JP','SG']

orderby可选值

字段必选描述
creator_usd_gmv总销售额(美元)(降序)
video_usd_gmv视频总销售额(美元)(降序)
live_usd_gmv直播总销售额(美元)(降序)

ecommerce_type 为空时,默认按 creator_usd_gmv 降序, ecommerce_type=1时,默认按 video_usd_gmv 降序, ecommerce_type=2时,默认按 live_usd_gmv 降序 其他情况 orderby 无效

request example

bash
curl 'https://openapi.fastmoss.com/creator/v1/rank/topEcommerce' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer xxxxxxxxxx' \
--data '{
    "filter": {
        "region": "US",
        "product_category": 1,
        "date_info": {
            "type": "day",
            "value": "2023-02-01"
        },
        # "date_info": {
        #     "type": "week",
        #     "value": "2023-18"
        # },
        # "date_info": {
        #     "type": "month",
        #     "value": "2023-02"
        # }
    },
     "orderby": [
      {
        "field": "total_gmv",
        "order": "desc",
      }
    ],
    "page": 1,
    "pagesize": 10
}'

response body

data.total

- 类型:integer
- 描述:结果总条数

data.list

字段类型描述
uidstring达人 ID
follower_countinteger达人粉丝数
product_countinteger带货商品数
creator_gmvfloat达人总销售额
creator_usd_gmvfloat达人总销售额(美元)
video_countinteger视频数
video_gmvfloat视频总销售额
video_usd_gmvfloat视频总销售额(美元)
live_countinteger直播数
live_gmvfloat直播总销售额
live_usd_gmvfloat直播总销售额(美元)

data.list.creator

字段类型描述
uidstring达人 ID
unique_idstring达人唯一 ID
nicknamestring昵称
avatarstring达人头像 URL
regionstring国家/地区
categoryobject达人分类
follower_countinteger达人粉丝数
video_countinteger视频数

response example

json
{
  "code": 0,
  "data": {
    "list": [
      {
        "creator": {
          "uid": "6795828506624754693",
          "nickname": "thebeautycrop",
          "unique_id": "thebeautycrop",
          "avatar": "https://s.500fd.com/tt_author/09c29664a10b2eeee9089b311a7cd8df~tplv-tiktokx-cropcenter:300:300.jpeg",
          "region": "GB",
          "category": {
            "id": 2,
            "name": "Shopping & Retail"
          },
          "follower_count": 238703,
          "video_count": 3123
        },
        "follower_count": 238703,
        "product_count": 96,
        "creator_gmv": 20310.4,
        "creator_usd_gmv": 25184.84,
        "video_count": 105,
        "video_gmv": 7632.68,
        "video_usd_gmv": 9464.46,
        "live_count": 11,
        "live_gmv": 12677.72,
        "live_usd_gmv": 15720.38,
        "uid": "6795828506624754693",
        "nickname": "thebeautycrop", //deprecated
        "unique_id": "thebeautycrop", //deprecated
        "avatar": "https://s.500fd.com/tt_author/09c29664a10b2eeee9089b311a7cd8df~tplv-tiktokx-cropcenter:300:300.jpeg", //deprecated
        "region": "GB", //deprecated
        "category": {
          "id": 2,
          "name": "Shopping & Retail"
        } //deprecated
      }
    ],
    "total": "256",
    "date_type": "week",
    "date_value": "2026-03"
  },
  "message": "",
  "timestamp": 1776165689,
  "request_id": "55dc7b93-227b-de9b-2a7e-6eb7f9259555"
}